获取指定打印设备的所有可用规范媒体名称。 支持的平台:仅窗口 返回值(RetVal)类型:变体(字符串数组) 指定打印设备的可用媒体名称数组。 言论您应该在第一次使用此方法之前调用。调用后,除非在会话期间绘图设备信息发生更改,否则无需再次调用它。RefreshPlotDeviceInfoRefreshPlotDeviceInfo 例子工 务 局: Sub Example_GetCanonicalMediaNames() ' This example gets the current plot device information ' and then displays the list of plot device names, ' media names, localized media names, and plot style ' table entries. Dim Layout As ACADLayout Set Layout = ThisDrawing.ModelSpace.Layout ' Refresh the current plot information for ' this session. Layout.RefreshPlotDeviceInfo ' List all the valid device names for the system Dim plotDevices As Variant plotDevices = Layout.GetPlotDeviceNames() Dim x As Integer For x = LBound(plotDevices) To UBound(plotDevices) MsgBox plotDevices(x) Next ' List all the media names, and their localized version Dim mediaNames As Variant mediaNames = Layout.GetCanonicalMediaNames() For x = LBound(mediaNames) To UBound(mediaNames) MsgBox mediaNames(x) MsgBox Layout.GetLocaleMediaName(mediaNames(x)) Next ' List all the entries in the plot style table Dim styleNames As Variant styleNames = Layout.GetPlotStyleTableNames() For x = LBound(styleNames) To UBound(styleNames) MsgBox styleNames(x) Next End Sub Visual LISP: (vl-load-com) (defun c:Example_GetCanonicalMediaNames() ;; This example gets the current plot device information ;; and then displays the list of plot device names, ;; media names, localized media names, and plot style ;; table entries. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) (setq Layout (vla-get-Layout (vla-get-ModelSpace doc))) ;; Refresh the current plot information for ;; this session. (vla-RefreshPlotDeviceInfo Layout) ;; List all the valid device names for the system (setq plotDevices (vlax-variant-value (vla-GetPlotDeviceNames Layout))) (setq x 0) (while (>= (vlax-safearray-get-u-bound plotDevices 1) x) (alert (vlax-safearray-get-element plotDevices x)) (setq x (1+ x)) ) ;; List all the media names, and their localized version (setq mediaNames (vlax-variant-value (vla-GetCanonicalMediaNames Layout))) (setq x 0) (while (>= (vlax-safearray-get-u-bound mediaNames 1) x) (alert (vlax-safearray-get-element mediaNames x)) (alert (vla-GetLocaleMediaName Layout (vlax-safearray-get-element mediaNames x))) (setq x (1+ x)) ) ;; List all the entries in the plot style table (setq styleNames (vlax-variant-value (vla-GetPlotStyleTableNames Layout))) (setq x 0) (while (>= (vlax-safearray-get-u-bound styleNames 1) x) (alert (vlax-safearray-get-element styleNames x)) (setq x (1+ x)) ) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:40
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.